View Issue Details

IDProjectCategoryView StatusLast Update
0021830mantisbtemailpublic2016-11-27 00:45
ReportervboctorAssigned Tovboctor 
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Product Version1.3.2 
Target Version1.3.4Fixed in Version1.3.4 
Summary0021830: Remove $g_mail_priority configuration option to reduce spam risk
Description

There are several issues with this configuration option:

  1. It is not a common practice for services sending emails to set such priority.
  2. As per the documentation for this config option, 0 should disable it, but it doesn't.
  3. It increases the spam score for some email, specially password reset.

This is follow up work to 0021829 that fixed handling for case where configuration option was disabled and having it disabled by default. The work in this issue is to completely remove this feature and mark the config option as obsolete.

TagsNo tags attached.

Relationships

related to 0021829 closedvboctor Fix $g_mail_priority disabling and default to disabled 

Activities

vboctor

vboctor

2016-11-03 23:20

manager   ~0054401

PR: https://github.com/mantisbt/mantisbt/pull/938

dregad

dregad

2016-11-04 09:12

developer   ~0054408

I detached the 2 changesets created following the push of the feature branch to the mantisbt repository.

Related Changesets

MantisBT: master-1.3.x fcad5753

2016-11-03 23:09:53

vboctor

Details Diff
Deprecate ‘mail_priority’ config option

There are several issues with this configuration option:

1. It is not a common practice for services sending emails to set such priority.
2. As per the documentation for this config option, 0 should disable it, but it doesn't.
3. It increases the spam score for some email, specially password reset.

Fixes 0021830
mod - admin/email_queue.php Diff File
mod - config_defaults_inc.php Diff File
mod - core/email_api.php Diff File
mod - core/obsolete.php Diff File
mod - docbook/Admin_Guide/en-US/config/email.xml Diff File

Issue History

Date Modified Username Field Change
2016-10-30 17:16 vboctoradmin New Issue
2016-10-30 17:16 vboctoradmin Relationship added related to 0021829
2016-10-30 17:17 vboctoradmin Reporter vboctoradmin => vboctor
2016-10-30 23:23 vboctor Target Version 2.0.0-rc.1 => 2.0.0-rc.2
2016-11-03 23:08 vboctor Assigned To => vboctor
2016-11-03 23:08 vboctor Status new => assigned
2016-11-03 23:08 vboctor Target Version 2.0.0-rc.2 => 1.3.4
2016-11-03 23:10 vboctor Changeset attached => MantisBT issue21830_remove_mail_priority 55bc4799
2016-11-03 23:10 vboctor Status assigned => resolved
2016-11-03 23:10 vboctor Resolution open => fixed
2016-11-03 23:11 vboctor Changeset attached => MantisBT issue21830_remove_mail_priority 829552e7
2016-11-03 23:20 vboctor Note Added: 0054401
2016-11-03 23:21 vboctor Status resolved => assigned
2016-11-03 23:21 vboctor Resolution fixed => open
2016-11-03 23:21 vboctor Summary Deprecate $g_mail_priority configuration option => Deprecate $g_mail_priority configuration option to reduce spam risk
2016-11-04 09:11 dregad Changeset removed MantisBT issue21830_remove_mail_priority 829552e7 =>
2016-11-04 09:11 dregad Changeset removed MantisBT issue21830_remove_mail_priority 55bc4799 =>
2016-11-04 09:12 dregad Note Added: 0054408
2016-11-04 23:40 vboctor Changeset attached => MantisBT master-1.3.x fcad5753
2016-11-04 23:40 vboctor Status assigned => resolved
2016-11-04 23:40 vboctor Resolution open => fixed
2016-11-04 23:40 vboctor Fixed in Version => 1.3.4
2016-11-06 22:44 vboctor Summary Deprecate $g_mail_priority configuration option to reduce spam risk => Remove $g_mail_priority configuration option to reduce spam risk
2016-11-27 00:45 vboctor Status resolved => closed